Bullet Collision Detection & Physics Library: CProfileIterator Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
CProfileIterator Class Reference

An iterator to navigate through the tree. More...

`#include <btQuickprof.h>`

Collaboration diagram for CProfileIterator:
[legend]

## Public Member Functions
void | First (void)
void | Next (void)
bool | Is_Done (void)
bool | Is_Root (void)
void | Enter_Child (int index)
void | Enter_Largest_Child (void)
void | Enter_Parent (void)
const char * | Get_Current_Name (void)
int | Get_Current_Total_Calls (void)
float | Get_Current_Total_Time (void)
void * | Get_Current_UserPointer (void)
void | Set_Current_UserPointer (void *ptr)
const char * | Get_Current_Parent_Name (void)
int | Get_Current_Parent_Total_Calls (void)
float | Get_Current_Parent_Total_Time (void)

## Protected Member Functions
| CProfileIterator (CProfileNode *start)

## Protected Attributes
CProfileNode * | CurrentParent
CProfileNode * | CurrentChild

## Friends
class | CProfileManager

## Detailed Description

An iterator to navigate through the tree.

Definition at line 130 of file btQuickprof.h.

## Constructor & Destructor Documentation

## ◆ CProfileIterator()

CProfileIterator::CProfileIterator | ( | CProfileNode * | start | ) |
| protected

Definition at line 415 of file btQuickprof.cpp.

## Member Function Documentation

## ◆ Enter_Child()

void CProfileIterator::Enter_Child | ( | int | index | ) |

Definition at line 440 of file btQuickprof.cpp.

## ◆ Enter_Largest_Child()

void CProfileIterator::Enter_Largest_Child | ( | void |  | ) |

## ◆ Enter_Parent()

void CProfileIterator::Enter_Parent | ( | void |  | ) |

Definition at line 455 of file btQuickprof.cpp.

## ◆ First()

void CProfileIterator::First | ( | void |  | ) |

Definition at line 422 of file btQuickprof.cpp.

## ◆ Get_Current_Name()

const char* CProfileIterator::Get_Current_Name | ( | void |  | ) |
| inline

Definition at line 144 of file btQuickprof.h.

## ◆ Get_Current_Parent_Name()

const char* CProfileIterator::Get_Current_Parent_Name | ( | void |  | ) |
| inline

Definition at line 151 of file btQuickprof.h.

## ◆ Get_Current_Parent_Total_Calls()

int CProfileIterator::Get_Current_Parent_Total_Calls | ( | void |  | ) |
| inline

Definition at line 152 of file btQuickprof.h.

## ◆ Get_Current_Parent_Total_Time()

float CProfileIterator::Get_Current_Parent_Total_Time | ( | void |  | ) |
| inline

Definition at line 153 of file btQuickprof.h.

## ◆ Get_Current_Total_Calls()

int CProfileIterator::Get_Current_Total_Calls | ( | void |  | ) |
| inline

Definition at line 145 of file btQuickprof.h.

## ◆ Get_Current_Total_Time()

float CProfileIterator::Get_Current_Total_Time | ( | void |  | ) |
| inline

Definition at line 146 of file btQuickprof.h.

## ◆ Get_Current_UserPointer()

void* CProfileIterator::Get_Current_UserPointer | ( | void |  | ) |
| inline

Definition at line 148 of file btQuickprof.h.

## ◆ Is_Done()

bool CProfileIterator::Is_Done | ( | void |  | ) |

Definition at line 434 of file btQuickprof.cpp.

## ◆ Is_Root()

bool CProfileIterator::Is_Root | ( | void |  | ) |
| inline

Definition at line 137 of file btQuickprof.h.

## ◆ Next()

void CProfileIterator::Next | ( | void |  | ) |

Definition at line 428 of file btQuickprof.cpp.

## ◆ Set_Current_UserPointer()

void CProfileIterator::Set_Current_UserPointer | ( | void * | ptr | ) |
| inline

Definition at line 149 of file btQuickprof.h.

## Friends And Related Function Documentation

## ◆ CProfileManager

friend class CProfileManager
| friend

Definition at line 164 of file btQuickprof.h.

## Member Data Documentation

## ◆ CurrentChild

CProfileNode* CProfileIterator::CurrentChild
| protected

Definition at line 160 of file btQuickprof.h.

## ◆ CurrentParent

CProfileNode* CProfileIterator::CurrentParent
| protected

Definition at line 159 of file btQuickprof.h.

The documentation for this class was generated from the following files:

- btQuickprof.h
- btQuickprof.cpp